package cn.com.taiji.video.service.impl;

import cn.com.taiji.video.mapper.HtDpVideoAnalysisMapper;
import cn.com.taiji.video.model.*;
import cn.com.taiji.video.service.IHtDpVideoAnalysisService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description
 * @Author yangyue
 * @Date 2023/7/28
 */
@Service
public class HtDpVideoAnalysisServiceImpl extends ServiceImpl<HtDpVideoAnalysisMapper, HtDpVideoAnalysis> implements IHtDpVideoAnalysisService {

    @Autowired
    private HtDpVideoAnalysisMapper videoAnalysisMapper;

    @Override
    public List<AnalysisDTO> queryFilter(String year, String yearMonth) {
        return videoAnalysisMapper.selectFilter(year,yearMonth);
    }

    @Override
    public List<VideoAnalysisLineDTO> querytotal(String year, String yearMonth) {
        return videoAnalysisMapper.selecttotal(year,yearMonth);
    }
}
